std::hash< shared_ptr< _Tp > > Struct Template Reference
Utilities » Memory » Pointer Abstractions

`#include <shared_ptr.h>`

## Public Member Functions

size_t | operator() (const shared_ptr< _Tp > &__s) const noexcept

## Detailed Description

template<typename _Tp>
struct std::hash< shared_ptr< _Tp > >

std::hash specialization for shared_ptr.

Definition at line 1209 of file bits/shared_ptr.h.

## Member Function Documentation

## operator()()

template<typename _Tp>

size_t std::hash< shared_ptr< _Tp > >::operator() | ( | const shared_ptr< _Tp > & | __s | ) | const

inline noexcept

Definition at line 1213 of file bits/shared_ptr.h.

The documentation for this struct was generated from the following file:

- bits/shared_ptr.h